Shivam Patel 6 years ago
parent
commit
29e3d1c3d9

+ 25
- 0
wyds2/.gitignore View File

@@ -0,0 +1,25 @@
1
+/target/
2
+!.mvn/wrapper/maven-wrapper.jar
3
+
4
+### STS ###
5
+.apt_generated
6
+.classpath
7
+.factorypath
8
+.project
9
+.settings
10
+.springBeans
11
+.sts4-cache
12
+
13
+### IntelliJ IDEA ###
14
+.idea
15
+*.iws
16
+*.iml
17
+*.ipr
18
+
19
+### NetBeans ###
20
+/nbproject/private/
21
+/build/
22
+/nbbuild/
23
+/dist/
24
+/nbdist/
25
+/.nb-gradle/

BIN
wyds2/.mvn/wrapper/maven-wrapper.jar View File


+ 1
- 0
wyds2/.mvn/wrapper/maven-wrapper.properties View File

@@ -0,0 +1 @@
1
+distributionUrl=https://repo1.maven.org/maven2/org/apache/maven/apache-maven/3.5.3/apache-maven-3.5.3-bin.zip

+ 225
- 0
wyds2/mvnw View File

@@ -0,0 +1,225 @@
1
+#!/bin/sh
2
+# ----------------------------------------------------------------------------
3
+# Licensed to the Apache Software Foundation (ASF) under one
4
+# or more contributor license agreements.  See the NOTICE file
5
+# distributed with this work for additional information
6
+# regarding copyright ownership.  The ASF licenses this file
7
+# to you under the Apache License, Version 2.0 (the
8
+# "License"); you may not use this file except in compliance
9
+# with the License.  You may obtain a copy of the License at
10
+#
11
+#    http://www.apache.org/licenses/LICENSE-2.0
12
+#
13
+# Unless required by applicable law or agreed to in writing,
14
+# software distributed under the License is distributed on an
15
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
16
+# KIND, either express or implied.  See the License for the
17
+# specific language governing permissions and limitations
18
+# under the License.
19
+# ----------------------------------------------------------------------------
20
+
21
+# ----------------------------------------------------------------------------
22
+# Maven2 Start Up Batch script
23
+#
24
+# Required ENV vars:
25
+# ------------------
26
+#   JAVA_HOME - location of a JDK home dir
27
+#
28
+# Optional ENV vars
29
+# -----------------
30
+#   M2_HOME - location of maven2's installed home dir
31
+#   MAVEN_OPTS - parameters passed to the Java VM when running Maven
32
+#     e.g. to debug Maven itself, use
33
+#       set MAVEN_OPTS=-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=8000
34
+#   MAVEN_SKIP_RC - flag to disable loading of mavenrc files
35
+# ----------------------------------------------------------------------------
36
+
37
+if [ -z "$MAVEN_SKIP_RC" ] ; then
38
+
39
+  if [ -f /etc/mavenrc ] ; then
40
+    . /etc/mavenrc
41
+  fi
42
+
43
+  if [ -f "$HOME/.mavenrc" ] ; then
44
+    . "$HOME/.mavenrc"
45
+  fi
46
+
47
+fi
48
+
49
+# OS specific support.  $var _must_ be set to either true or false.
50
+cygwin=false;
51
+darwin=false;
52
+mingw=false
53
+case "`uname`" in
54
+  CYGWIN*) cygwin=true ;;
55
+  MINGW*) mingw=true;;
56
+  Darwin*) darwin=true
57
+    # Use /usr/libexec/java_home if available, otherwise fall back to /Library/Java/Home
58
+    # See https://developer.apple.com/library/mac/qa/qa1170/_index.html
59
+    if [ -z "$JAVA_HOME" ]; then
60
+      if [ -x "/usr/libexec/java_home" ]; then
61
+        export JAVA_HOME="`/usr/libexec/java_home`"
62
+      else
63
+        export JAVA_HOME="/Library/Java/Home"
64
+      fi
65
+    fi
66
+    ;;
67
+esac
68
+
69
+if [ -z "$JAVA_HOME" ] ; then
70
+  if [ -r /etc/gentoo-release ] ; then
71
+    JAVA_HOME=`java-config --jre-home`
72
+  fi
73
+fi
74
+
75
+if [ -z "$M2_HOME" ] ; then
76
+  ## resolve links - $0 may be a link to maven's home
77
+  PRG="$0"
78
+
79
+  # need this for relative symlinks
80
+  while [ -h "$PRG" ] ; do
81
+    ls=`ls -ld "$PRG"`
82
+    link=`expr "$ls" : '.*-> \(.*\)$'`
83
+    if expr "$link" : '/.*' > /dev/null; then
84
+      PRG="$link"
85
+    else
86
+      PRG="`dirname "$PRG"`/$link"
87
+    fi
88
+  done
89
+
90
+  saveddir=`pwd`
91
+
92
+  M2_HOME=`dirname "$PRG"`/..
93
+
94
+  # make it fully qualified
95
+  M2_HOME=`cd "$M2_HOME" && pwd`
96
+
97
+  cd "$saveddir"
98
+  # echo Using m2 at $M2_HOME
99
+fi
100
+
101
+# For Cygwin, ensure paths are in UNIX format before anything is touched
102
+if $cygwin ; then
103
+  [ -n "$M2_HOME" ] &&
104
+    M2_HOME=`cygpath --unix "$M2_HOME"`
105
+  [ -n "$JAVA_HOME" ] &&
106
+    JAVA_HOME=`cygpath --unix "$JAVA_HOME"`
107
+  [ -n "$CLASSPATH" ] &&
108
+    CLASSPATH=`cygpath --path --unix "$CLASSPATH"`
109
+fi
110
+
111
+# For Migwn, ensure paths are in UNIX format before anything is touched
112
+if $mingw ; then
113
+  [ -n "$M2_HOME" ] &&
114
+    M2_HOME="`(cd "$M2_HOME"; pwd)`"
115
+  [ -n "$JAVA_HOME" ] &&
116
+    JAVA_HOME="`(cd "$JAVA_HOME"; pwd)`"
117
+  # TODO classpath?
118
+fi
119
+
120
+if [ -z "$JAVA_HOME" ]; then
121
+  javaExecutable="`which javac`"
122
+  if [ -n "$javaExecutable" ] && ! [ "`expr \"$javaExecutable\" : '\([^ ]*\)'`" = "no" ]; then
123
+    # readlink(1) is not available as standard on Solaris 10.
124
+    readLink=`which readlink`
125
+    if [ ! `expr "$readLink" : '\([^ ]*\)'` = "no" ]; then
126
+      if $darwin ; then
127
+        javaHome="`dirname \"$javaExecutable\"`"
128
+        javaExecutable="`cd \"$javaHome\" && pwd -P`/javac"
129
+      else
130
+        javaExecutable="`readlink -f \"$javaExecutable\"`"
131
+      fi
132
+      javaHome="`dirname \"$javaExecutable\"`"
133
+      javaHome=`expr "$javaHome" : '\(.*\)/bin'`
134
+      JAVA_HOME="$javaHome"
135
+      export JAVA_HOME
136
+    fi
137
+  fi
138
+fi
139
+
140
+if [ -z "$JAVACMD" ] ; then
141
+  if [ -n "$JAVA_HOME"  ] ; then
142
+    if [ -x "$JAVA_HOME/jre/sh/java" ] ; then
143
+      # IBM's JDK on AIX uses strange locations for the executables
144
+      JAVACMD="$JAVA_HOME/jre/sh/java"
145
+    else
146
+      JAVACMD="$JAVA_HOME/bin/java"
147
+    fi
148
+  else
149
+    JAVACMD="`which java`"
150
+  fi
151
+fi
152
+
153
+if [ ! -x "$JAVACMD" ] ; then
154
+  echo "Error: JAVA_HOME is not defined correctly." >&2
155
+  echo "  We cannot execute $JAVACMD" >&2
156
+  exit 1
157
+fi
158
+
159
+if [ -z "$JAVA_HOME" ] ; then
160
+  echo "Warning: JAVA_HOME environment variable is not set."
161
+fi
162
+
163
+CLASSWORLDS_LAUNCHER=org.codehaus.plexus.classworlds.launcher.Launcher
164
+
165
+# traverses directory structure from process work directory to filesystem root
166
+# first directory with .mvn subdirectory is considered project base directory
167
+find_maven_basedir() {
168
+
169
+  if [ -z "$1" ]
170
+  then
171
+    echo "Path not specified to find_maven_basedir"
172
+    return 1
173
+  fi
174
+
175
+  basedir="$1"
176
+  wdir="$1"
177
+  while [ "$wdir" != '/' ] ; do
178
+    if [ -d "$wdir"/.mvn ] ; then
179
+      basedir=$wdir
180
+      break
181
+    fi
182
+    # workaround for JBEAP-8937 (on Solaris 10/Sparc)
183
+    if [ -d "${wdir}" ]; then
184
+      wdir=`cd "$wdir/.."; pwd`
185
+    fi
186
+    # end of workaround
187
+  done
188
+  echo "${basedir}"
189
+}
190
+
191
+# concatenates all lines of a file
192
+concat_lines() {
193
+  if [ -f "$1" ]; then
194
+    echo "$(tr -s '\n' ' ' < "$1")"
195
+  fi
196
+}
197
+
198
+BASE_DIR=`find_maven_basedir "$(pwd)"`
199
+if [ -z "$BASE_DIR" ]; then
200
+  exit 1;
201
+fi
202
+
203
+export MAVEN_PROJECTBASEDIR=${MAVEN_BASEDIR:-"$BASE_DIR"}
204
+echo $MAVEN_PROJECTBASEDIR
205
+MAVEN_OPTS="$(concat_lines "$MAVEN_PROJECTBASEDIR/.mvn/jvm.config") $MAVEN_OPTS"
206
+
207
+# For Cygwin, switch paths to Windows format before running java
208
+if $cygwin; then
209
+  [ -n "$M2_HOME" ] &&
210
+    M2_HOME=`cygpath --path --windows "$M2_HOME"`
211
+  [ -n "$JAVA_HOME" ] &&
212
+    JAVA_HOME=`cygpath --path --windows "$JAVA_HOME"`
213
+  [ -n "$CLASSPATH" ] &&
214
+    CLASSPATH=`cygpath --path --windows "$CLASSPATH"`
215
+  [ -n "$MAVEN_PROJECTBASEDIR" ] &&
216
+    MAVEN_PROJECTBASEDIR=`cygpath --path --windows "$MAVEN_PROJECTBASEDIR"`
217
+fi
218
+
219
+WRAPPER_LAUNCHER=org.apache.maven.wrapper.MavenWrapperMain
220
+
221
+exec "$JAVACMD" \
222
+  $MAVEN_OPTS \
223
+  -classpath "$MAVEN_PROJECTBASEDIR/.mvn/wrapper/maven-wrapper.jar" \
224
+  "-Dmaven.home=${M2_HOME}" "-Dmaven.multiModuleProjectDirectory=${MAVEN_PROJECTBASEDIR}" \
225
+  ${WRAPPER_LAUNCHER} $MAVEN_CONFIG "$@"

+ 143
- 0
wyds2/mvnw.cmd View File

@@ -0,0 +1,143 @@
1
+@REM ----------------------------------------------------------------------------
2
+@REM Licensed to the Apache Software Foundation (ASF) under one
3
+@REM or more contributor license agreements.  See the NOTICE file
4
+@REM distributed with this work for additional information
5
+@REM regarding copyright ownership.  The ASF licenses this file
6
+@REM to you under the Apache License, Version 2.0 (the
7
+@REM "License"); you may not use this file except in compliance
8
+@REM with the License.  You may obtain a copy of the License at
9
+@REM
10
+@REM    http://www.apache.org/licenses/LICENSE-2.0
11
+@REM
12
+@REM Unless required by applicable law or agreed to in writing,
13
+@REM software distributed under the License is distributed on an
14
+@REM "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
15
+@REM KIND, either express or implied.  See the License for the
16
+@REM specific language governing permissions and limitations
17
+@REM under the License.
18
+@REM ----------------------------------------------------------------------------
19
+
20
+@REM ----------------------------------------------------------------------------
21
+@REM Maven2 Start Up Batch script
22
+@REM
23
+@REM Required ENV vars:
24
+@REM JAVA_HOME - location of a JDK home dir
25
+@REM
26
+@REM Optional ENV vars
27
+@REM M2_HOME - location of maven2's installed home dir
28
+@REM MAVEN_BATCH_ECHO - set to 'on' to enable the echoing of the batch commands
29
+@REM MAVEN_BATCH_PAUSE - set to 'on' to wait for a key stroke before ending
30
+@REM MAVEN_OPTS - parameters passed to the Java VM when running Maven
31
+@REM     e.g. to debug Maven itself, use
32
+@REM set MAVEN_OPTS=-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=8000
33
+@REM MAVEN_SKIP_RC - flag to disable loading of mavenrc files
34
+@REM ----------------------------------------------------------------------------
35
+
36
+@REM Begin all REM lines with '@' in case MAVEN_BATCH_ECHO is 'on'
37
+@echo off
38
+@REM enable echoing my setting MAVEN_BATCH_ECHO to 'on'
39
+@if "%MAVEN_BATCH_ECHO%" == "on"  echo %MAVEN_BATCH_ECHO%
40
+
41
+@REM set %HOME% to equivalent of $HOME
42
+if "%HOME%" == "" (set "HOME=%HOMEDRIVE%%HOMEPATH%")
43
+
44
+@REM Execute a user defined script before this one
45
+if not "%MAVEN_SKIP_RC%" == "" goto skipRcPre
46
+@REM check for pre script, once with legacy .bat ending and once with .cmd ending
47
+if exist "%HOME%\mavenrc_pre.bat" call "%HOME%\mavenrc_pre.bat"
48
+if exist "%HOME%\mavenrc_pre.cmd" call "%HOME%\mavenrc_pre.cmd"
49
+:skipRcPre
50
+
51
+@setlocal
52
+
53
+set ERROR_CODE=0
54
+
55
+@REM To isolate internal variables from possible post scripts, we use another setlocal
56
+@setlocal
57
+
58
+@REM ==== START VALIDATION ====
59
+if not "%JAVA_HOME%" == "" goto OkJHome
60
+
61
+echo.
62
+echo Error: JAVA_HOME not found in your environment. >&2
63
+echo Please set the JAVA_HOME variable in your environment to match the >&2
64
+echo location of your Java installation. >&2
65
+echo.
66
+goto error
67
+
68
+:OkJHome
69
+if exist "%JAVA_HOME%\bin\java.exe" goto init
70
+
71
+echo.
72
+echo Error: JAVA_HOME is set to an invalid directory. >&2
73
+echo JAVA_HOME = "%JAVA_HOME%" >&2
74
+echo Please set the JAVA_HOME variable in your environment to match the >&2
75
+echo location of your Java installation. >&2
76
+echo.
77
+goto error
78
+
79
+@REM ==== END VALIDATION ====
80
+
81
+:init
82
+
83
+@REM Find the project base dir, i.e. the directory that contains the folder ".mvn".
84
+@REM Fallback to current working directory if not found.
85
+
86
+set MAVEN_PROJECTBASEDIR=%MAVEN_BASEDIR%
87
+IF NOT "%MAVEN_PROJECTBASEDIR%"=="" goto endDetectBaseDir
88
+
89
+set EXEC_DIR=%CD%
90
+set WDIR=%EXEC_DIR%
91
+:findBaseDir
92
+IF EXIST "%WDIR%"\.mvn goto baseDirFound
93
+cd ..
94
+IF "%WDIR%"=="%CD%" goto baseDirNotFound
95
+set WDIR=%CD%
96
+goto findBaseDir
97
+
98
+:baseDirFound
99
+set MAVEN_PROJECTBASEDIR=%WDIR%
100
+cd "%EXEC_DIR%"
101
+goto endDetectBaseDir
102
+
103
+:baseDirNotFound
104
+set MAVEN_PROJECTBASEDIR=%EXEC_DIR%
105
+cd "%EXEC_DIR%"
106
+
107
+:endDetectBaseDir
108
+
109
+IF NOT EXIST "%MAVEN_PROJECTBASEDIR%\.mvn\jvm.config" goto endReadAdditionalConfig
110
+
111
+@setlocal EnableExtensions EnableDelayedExpansion
112
+for /F "usebackq delims=" %%a in ("%MAVEN_PROJECTBASEDIR%\.mvn\jvm.config") do set JVM_CONFIG_MAVEN_PROPS=!JVM_CONFIG_MAVEN_PROPS! %%a
113
+@endlocal & set JVM_CONFIG_MAVEN_PROPS=%JVM_CONFIG_MAVEN_PROPS%
114
+
115
+:endReadAdditionalConfig
116
+
117
+SET MAVEN_JAVA_EXE="%JAVA_HOME%\bin\java.exe"
118
+
119
+set WRAPPER_JAR="%MAVEN_PROJECTBASEDIR%\.mvn\wrapper\maven-wrapper.jar"
120
+set WRAPPER_LAUNCHER=org.apache.maven.wrapper.MavenWrapperMain
121
+
122
+%MAVEN_JAVA_EXE% %JVM_CONFIG_MAVEN_PROPS% %MAVEN_OPTS% %MAVEN_DEBUG_OPTS% -classpath %WRAPPER_JAR% "-Dmaven.multiModuleProjectDirectory=%MAVEN_PROJECTBASEDIR%" %WRAPPER_LAUNCHER% %MAVEN_CONFIG% %*
123
+if ERRORLEVEL 1 goto error
124
+goto end
125
+
126
+:error
127
+set ERROR_CODE=1
128
+
129
+:end
130
+@endlocal & set ERROR_CODE=%ERROR_CODE%
131
+
132
+if not "%MAVEN_SKIP_RC%" == "" goto skipRcPost
133
+@REM check for post script, once with legacy .bat ending and once with .cmd ending
134
+if exist "%HOME%\mavenrc_post.bat" call "%HOME%\mavenrc_post.bat"
135
+if exist "%HOME%\mavenrc_post.cmd" call "%HOME%\mavenrc_post.cmd"
136
+:skipRcPost
137
+
138
+@REM pause the script if MAVEN_BATCH_PAUSE is set to 'on'
139
+if "%MAVEN_BATCH_PAUSE%" == "on" pause
140
+
141
+if "%MAVEN_TERMINATE_CMD%" == "on" exit %ERROR_CODE%
142
+
143
+exit /B %ERROR_CODE%

+ 96
- 0
wyds2/pom.xml View File

@@ -0,0 +1,96 @@
1
+<?xml version="1.0" encoding="UTF-8"?>
2
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
3
+	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
4
+	<modelVersion>4.0.0</modelVersion>
5
+
6
+	<groupId>com.wyds2</groupId>
7
+	<artifactId>wyds2</artifactId>
8
+	<version>0.0.1-SNAPSHOT</version>
9
+	<packaging>jar</packaging>
10
+
11
+	<name>wyds2</name>
12
+	<description>wydsRound2</description>
13
+
14
+	<parent>
15
+		<groupId>org.springframework.boot</groupId>
16
+		<artifactId>spring-boot-starter-parent</artifactId>
17
+		<version>2.0.3.RELEASE</version>
18
+		<relativePath/> <!-- lookup parent from repository -->
19
+	</parent>
20
+
21
+	<properties>
22
+		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
23
+		<project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
24
+		<java.version>1.8</java.version>
25
+	</properties>
26
+
27
+	<dependencies>
28
+		<dependency>
29
+			<groupId>org.springframework.boot</groupId>
30
+			<artifactId>spring-boot-starter-data-jpa</artifactId>
31
+		</dependency>
32
+		<dependency>
33
+			<groupId>org.springframework.boot</groupId>
34
+			<artifactId>spring-boot-starter-security</artifactId>
35
+		</dependency>
36
+		<dependency>
37
+			<groupId>org.springframework.boot</groupId>
38
+			<artifactId>spring-boot-starter-thymeleaf</artifactId>
39
+		</dependency>
40
+		<dependency>
41
+			<groupId>org.thymeleaf.extras</groupId>
42
+			<artifactId>thymeleaf-extras-springsecurity4</artifactId>
43
+		</dependency>
44
+		<dependency>
45
+			<groupId>org.springframework.boot</groupId>
46
+			<artifactId>spring-boot-starter-web</artifactId>
47
+		</dependency>
48
+
49
+		<dependency>
50
+			<groupId>org.springframework.boot</groupId>
51
+			<artifactId>spring-boot-devtools</artifactId>
52
+			<scope>runtime</scope>
53
+		</dependency>
54
+		<dependency>
55
+			<groupId>mysql</groupId>
56
+			<artifactId>mysql-connector-java</artifactId>
57
+			<scope>runtime</scope>
58
+		</dependency>
59
+		<dependency>
60
+			<groupId>org.springframework.boot</groupId>
61
+			<artifactId>spring-boot-starter-test</artifactId>
62
+			<scope>test</scope>
63
+		</dependency>
64
+		<dependency>
65
+			<groupId>com.nulab-inc</groupId>
66
+			<artifactId>zxcvbn</artifactId>
67
+			<version>1.2.3</version>
68
+		</dependency>
69
+		<dependency>
70
+			<groupId>net.sourceforge.nekohtml</groupId>
71
+			<artifactId>nekohtml</artifactId>
72
+			<version>1.9.21</version>
73
+		</dependency>
74
+
75
+
76
+
77
+		<dependency>
78
+			<groupId>org.springframework.security</groupId>
79
+			<artifactId>spring-security-test</artifactId>
80
+			<scope>test</scope>
81
+		</dependency>
82
+
83
+
84
+	</dependencies>
85
+
86
+	<build>
87
+		<plugins>
88
+			<plugin>
89
+				<groupId>org.springframework.boot</groupId>
90
+				<artifactId>spring-boot-maven-plugin</artifactId>
91
+			</plugin>
92
+		</plugins>
93
+	</build>
94
+
95
+
96
+</project>

+ 73
- 0
wyds2/src/main/java/com/wyds2/wyds2/Controllers/RegisterController.java View File

@@ -0,0 +1,73 @@
1
+package com.wyds2.wyds2.Controllers;
2
+
3
+
4
+import com.wyds2.wyds2.Models.User;
5
+import com.wyds2.wyds2.Services.UserService;
6
+
7
+import org.springframework.beans.factory.annotation.Autowired;
8
+
9
+import org.springframework.security.crypto.password.PasswordEncoder;
10
+import org.springframework.stereotype.Controller;
11
+import org.springframework.validation.BindingResult;
12
+import org.springframework.web.bind.annotation.RequestMapping;
13
+import org.springframework.web.bind.annotation.RequestMethod;
14
+import org.springframework.web.bind.annotation.RequestParam;
15
+import org.springframework.web.servlet.ModelAndView;
16
+
17
+import javax.validation.Valid;
18
+import java.util.UUID;
19
+
20
+@Controller
21
+public class RegisterController {
22
+
23
+    private PasswordEncoder encoder;
24
+    private UserService userService;
25
+
26
+
27
+
28
+
29
+    @Autowired
30
+    public RegisterController(UserService userService){
31
+       // this.encoder = encoder;
32
+        this.userService = userService;
33
+    }
34
+
35
+
36
+    @RequestMapping(value="/register", method = RequestMethod.GET)
37
+    public ModelAndView showRegistrationPage(ModelAndView modelAndView, User user){
38
+        modelAndView.addObject("user", user);
39
+        modelAndView.setViewName("register");
40
+        return modelAndView;
41
+    }
42
+
43
+    @RequestMapping(value = "/register", method = RequestMethod.POST)
44
+    public ModelAndView processRegistrationForm(ModelAndView modelAndView, @Valid User user, BindingResult bindingResult) {
45
+
46
+        // Lookup user in database by e-mail
47
+        User userExists = userService.findByEmail(user.getEmail());
48
+        System.out.println(userExists);
49
+
50
+        if (userExists != null) {
51
+            modelAndView.setViewName("register");
52
+        }
53
+
54
+        if (bindingResult.hasErrors()) {
55
+            modelAndView.setViewName("register");
56
+        }
57
+        else {
58
+
59
+            user.setEnabled(true);
60
+            user.setConfirmationToken(UUID.randomUUID().toString());
61
+            userService.saveUser(user);
62
+
63
+        }
64
+
65
+        return modelAndView;
66
+    }
67
+
68
+
69
+
70
+
71
+
72
+
73
+}

+ 96
- 0
wyds2/src/main/java/com/wyds2/wyds2/Models/User.java View File

@@ -0,0 +1,96 @@
1
+package com.wyds2.wyds2.Models;
2
+
3
+
4
+import javax.persistence.*;
5
+import javax.validation.constraints.Email;
6
+import javax.validation.constraints.NotEmpty;
7
+
8
+@Entity
9
+@Table(name = "USER")
10
+public class User {
11
+
12
+    @Id
13
+    @GeneratedValue(strategy = GenerationType.AUTO)
14
+    @Column(name = "id")
15
+    private int id;
16
+
17
+    @Column(name = "email", nullable = false, unique = true)
18
+    @Email(message = "Please provide a valid e-mail")
19
+    @NotEmpty(message = "Please provide an e-mail")
20
+    private String email;
21
+
22
+    @Column(name = "password")
23
+    @Transient
24
+    private String password;
25
+
26
+    @Column(name = "first_name")
27
+    @NotEmpty(message = "Please provide your first name")
28
+    private String firstName;
29
+
30
+    @Column(name = "last_name")
31
+    @NotEmpty(message = "Please provide your last name")
32
+    private String lastName;
33
+
34
+    //@Column(name = "enabled")
35
+    private boolean enabled;
36
+
37
+    //@Column(name = "confirmation_token")
38
+    private String confirmationToken;
39
+
40
+    public String getConfirmationToken() {
41
+        return confirmationToken;
42
+    }
43
+
44
+    public void setConfirmationToken(String confirmationToken) {
45
+        this.confirmationToken = confirmationToken;
46
+    }
47
+
48
+    public int getId() {
49
+        return id;
50
+    }
51
+
52
+    public void setId(int id) {
53
+        this.id = id;
54
+    }
55
+
56
+    public String getPassword() {
57
+        return password;
58
+    }
59
+
60
+    public void setPassword(String password) {
61
+        this.password = password;
62
+    }
63
+
64
+    public String getFirstName() {
65
+        return firstName;
66
+    }
67
+
68
+    public void setFirstName(String firstName) {
69
+        this.firstName = firstName;
70
+    }
71
+
72
+    public String getLastName() {
73
+        return lastName;
74
+    }
75
+
76
+    public void setLastName(String lastName) {
77
+        this.lastName = lastName;
78
+    }
79
+
80
+    public String getEmail() {
81
+        return email;
82
+    }
83
+
84
+    public void setEmail(String email) {
85
+        this.email = email;
86
+    }
87
+
88
+    public boolean getEnabled() {
89
+        return enabled;
90
+    }
91
+
92
+    public void setEnabled(boolean value) {
93
+        this.enabled = value;
94
+    }
95
+
96
+}

+ 19
- 0
wyds2/src/main/java/com/wyds2/wyds2/Repositories/UserRepository.java View File

@@ -0,0 +1,19 @@
1
+package com.wyds2.wyds2.Repositories;
2
+
3
+import com.wyds2.wyds2.Models.User;
4
+import org.springframework.data.jpa.repository.JpaRepository;
5
+import org.springframework.stereotype.Repository;
6
+
7
+
8
+@Repository("userRepository")
9
+public interface UserRepository extends JpaRepository<User, Long> {
10
+
11
+    User findByFirstName(String firstName);
12
+
13
+    User findByLastName(String lastName);
14
+
15
+    User findByEmail(String email);
16
+
17
+    User findByConfirmationToken(String confirmToken);
18
+
19
+}

+ 27
- 0
wyds2/src/main/java/com/wyds2/wyds2/Services/EmailService.java View File

@@ -0,0 +1,27 @@
1
+/*
2
+package com.wyds2.wyds2.Services;
3
+
4
+import org.springframework.beans.factory.annotation.Autowired;
5
+import org.springframework.mail.SimpleMailMessage;
6
+import org.springframework.mail.javamail.JavaMailSender;
7
+import org.springframework.scheduling.annotation.Async;
8
+import org.springframework.stereotype.Service;
9
+
10
+@Service("emailService")
11
+public class EmailService {
12
+
13
+    private JavaMailSender mailSender;
14
+
15
+    @Autowired
16
+    public EmailService(JavaMailSender mailSender){
17
+        this.mailSender=mailSender;
18
+    }
19
+
20
+    @Async
21
+    public void sendEmail(SimpleMailMessage email){
22
+
23
+        mailSender.send(email);
24
+    }
25
+
26
+}
27
+*/

+ 32
- 0
wyds2/src/main/java/com/wyds2/wyds2/Services/UserService.java View File

@@ -0,0 +1,32 @@
1
+package com.wyds2.wyds2.Services;
2
+
3
+import com.wyds2.wyds2.Models.User;
4
+import com.wyds2.wyds2.Repositories.UserRepository;
5
+import org.springframework.beans.factory.annotation.Autowired;
6
+import org.springframework.stereotype.Service;
7
+
8
+@Service("userService")
9
+public class UserService {
10
+
11
+    private UserRepository userRepository;
12
+
13
+    @Autowired
14
+    public UserService(UserRepository userRepository) {
15
+        this.userRepository = userRepository;
16
+    }
17
+
18
+    public User findByEmail(String email) {
19
+        return userRepository.findByEmail(email);
20
+    }
21
+
22
+    public User findByConfirmationToken(String confirmationToken) {
23
+        return userRepository.findByConfirmationToken(confirmationToken);
24
+    }
25
+
26
+    public void saveUser(User user) {
27
+        userRepository.save(user);
28
+    }
29
+
30
+
31
+
32
+}

+ 12
- 0
wyds2/src/main/java/com/wyds2/wyds2/Wyds2Application.java View File

@@ -0,0 +1,12 @@
1
+package com.wyds2.wyds2;
2
+
3
+import org.springframework.boot.SpringApplication;
4
+import org.springframework.boot.autoconfigure.SpringBootApplication;
5
+
6
+@SpringBootApplication
7
+public class Wyds2Application {
8
+
9
+	public static void main(String[] args) {
10
+		SpringApplication.run(Wyds2Application.class, args);
11
+	}
12
+}

+ 21
- 0
wyds2/src/main/java/com/wyds2/wyds2/configurations/SecurityConfig.java View File

@@ -0,0 +1,21 @@
1
+package com.wyds2.wyds2.configurations;
2
+
3
+import org.springframework.context.annotation.Configuration;
4
+import org.springframework.security.config.annotation.web.builders.HttpSecurity;
5
+import org.springframework.security.config.annotation.web.configuration.EnableWebSecurity;
6
+import org.springframework.security.config.annotation.web.configuration.WebSecurityConfigurerAdapter;
7
+
8
+
9
+@Configuration
10
+@EnableWebSecurity
11
+public class SecurityConfig extends WebSecurityConfigurerAdapter {
12
+
13
+    @Override
14
+    public void configure(HttpSecurity hsec) throws Exception{
15
+
16
+        hsec.authorizeRequests().antMatchers("/register").permitAll().antMatchers("/confirm").permitAll();
17
+
18
+
19
+    }
20
+
21
+}

+ 30
- 0
wyds2/src/main/resources/application.properties View File

@@ -0,0 +1,30 @@
1
+# ===============================
2
+# TOMCAT
3
+# ===============================
4
+server.address=127.0.0.1
5
+server.error.whitelabel.enabled=false
6
+server.tomcat.accesslog.enabled=true
7
+
8
+
9
+# ===============================
10
+# = LOGGING
11
+# ===============================
12
+logging.level.org.springframework.web=DEBUG
13
+logging.level.org.hibernate=ERROR
14
+
15
+# ===============================
16
+# = DATA SOURCE
17
+# ===============================
18
+spring.datasource.url=jdbc:mysql://localhost:3306/wyds
19
+spring.datasource.username=root
20
+spring.datasource.password=
21
+spring.datasource.driver-class-name=com.mysql.jdbc.Driver
22
+spring.datasource.tomcat.max-wait=10000
23
+spring.datasource.tomcat.max-active=5
24
+spring.datasource.tomcat.test-on-borrow=true
25
+
26
+# ===============================
27
+# = JPA / HIBERNATE
28
+# ===============================
29
+spring.jpa.show-sql = true
30
+spring.jpa.hibernate.ddl-auto = create

+ 130
- 0
wyds2/src/main/resources/templates/register.html View File

@@ -0,0 +1,130 @@
1
+<!DOCTYPE html>
2
+<html lang="en" xmlns="http://www.w3.org/1999/xhtml"
3
+      xmlns:th="http://www.thymeleaf.org">
4
+
5
+<head>
6
+    <meta charset="utf-8" />
7
+    <meta http-equiv="X-UA-Compatible" content="google-Chrome" />
8
+    <meta name="viewport" content="width=device-width, initial-scale=1" />
9
+    <meta name="description" content="User account registration" />
10
+
11
+    <title>Registration Page</title>
12
+
13
+    <!-- Bootstrap core CSS -->
14
+    <link href="//maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css"
15
+          rel="stylesheet"
16
+          integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u"
17
+          crossorigin="anonymous" />
18
+
19
+    <link th:href="@{css/style.css}" rel="stylesheet" />
20
+</head>
21
+
22
+<body class="gray-bg">
23
+
24
+<div class="middle-box text-center loginscreen animated fadeInDown">
25
+    <div>
26
+
27
+        <h4>New User Registration</h4>
28
+
29
+        <form autocomplete="off" action="#" th:action="@{/register}"
30
+              th:object="${user}" method="post" class="m-t" role="form"
31
+              data-toggle="validator">
32
+
33
+
34
+            <div th:if="${#fields.hasErrors('firstName')}"
35
+                 th:errors="*{firstName}"
36
+                 class="validation-message alert alert-danger" role="alert"></div>
37
+
38
+            <div th:if="${#fields.hasErrors('lastName')}"
39
+                 th:errors="*{lastName}"
40
+                 class="validation-message alert alert-danger" role="alert"></div>
41
+
42
+            <div th:if="${#fields.hasErrors('email')}" th:errors="*{email}"
43
+                 class="validation-message alert alert-danger" role="alert"></div>
44
+
45
+            <div class="form-group input-group has-feedback">
46
+                <label th:if="${#fields.hasErrors('firstName')}"
47
+                       th:errors="*{firstName}" class="validation-message"></label>
48
+                <span class="input-group-addon">
49
+            <span class="glyphicon glyphicon-user"></span>
50
+          </span>
51
+
52
+                <input type="text" th:field="*{firstName}"
53
+                       placeholder="First Name" class="form-control" required />
54
+                <span class="glyphicon form-control-feedback"
55
+                      aria-hidden="true"></span>
56
+            </div>
57
+
58
+            <div class="form-group input-group has-feedback">
59
+          <span class="input-group-addon">
60
+            <span class="glyphicon glyphicon-user"></span>
61
+          </span>
62
+
63
+
64
+                <input type="text" th:field="*{lastName}"
65
+                       placeholder="Last Name" class="form-control" required />
66
+                <span class="glyphicon form-control-feedback"
67
+                      aria-hidden="true"></span>
68
+            </div>
69
+
70
+            <div class="form-group input-group has-feedback">
71
+          <span class="input-group-addon">
72
+            <span class="glyphicon glyphicon-envelope"></span>
73
+          </span>
74
+                <input type="email" th:field="*{email}"
75
+                       placeholder="Email Address" class="form-control"
76
+                       data-error="This email address is invalid" required />
77
+                <span class="glyphicon form-control-feedback"
78
+                      aria-hidden="true"></span>
79
+
80
+            </div>
81
+
82
+            <div class="form-group input-group has-feedback">
83
+          <span class="input-group-addon">
84
+            <span class="glyphicon glyphicon-lock"></span>
85
+          </span>
86
+                <input name="password" type="password" id="password"
87
+                       placeholder="Password" class="form-control" required />
88
+                <span class="glyphicon form-control-feedback"
89
+                      aria-hidden="true"></span>
90
+            </div>
91
+            <div class="form-group input-group has-feedback">
92
+          <span class="input-group-addon">
93
+            <span class="glyphicon glyphicon-lock"></span>
94
+          </span>
95
+                <input type="password" class="form-control" id="signup-password-confirm" placeholder="Confirm Password" name="ConfirmPassword" data-fv-notempty="true"
96
+                       data-fv-notempty-message="Please confirm password"
97
+                       data-fv-identical="true"
98
+                       data-fv-identical-field="password"
99
+                       data-fv-identical-message="Both passwords must be identical" />
100
+
101
+                <div class="help-block with-errors"></div>
102
+            </div>
103
+
104
+
105
+
106
+
107
+            <button type="submit"
108
+                    class="btn btn-primary block full-width m-b">Register</button>
109
+
110
+        </form>
111
+
112
+    </div>
113
+</div>
114
+
115
+<!-- jQuery-->
116
+<script src="//ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
117
+
118
+<!-- Bootstrap -->
119
+<script
120
+        src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"
121
+        integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa"
122
+        crossorigin="anonymous"></script>
123
+
124
+<!-- Bootstrap Validator plugin -->
125
+<script src="https://cdnjs.cloudflare.com/ajax/libs/1000hz-bootstrap-validator/0.11.9/validator.min.js"></script>
126
+
127
+
128
+</body>
129
+
130
+</html>

+ 16
- 0
wyds2/src/test/java/com/wyds2/wyds2/Wyds2ApplicationTests.java View File

@@ -0,0 +1,16 @@
1
+package com.wyds2.wyds2;
2
+
3
+import org.junit.Test;
4
+import org.junit.runner.RunWith;
5
+import org.springframework.boot.test.context.SpringBootTest;
6
+import org.springframework.test.context.junit4.SpringRunner;
7
+
8
+@RunWith(SpringRunner.class)
9
+@SpringBootTest
10
+public class Wyds2ApplicationTests {
11
+
12
+	@Test
13
+	public void contextLoads() {
14
+	}
15
+
16
+}